* {
	margin: 0;
	padding: 0;
}

body {
	font-family: sans-serif;
}

h1 {
	text-align: center;
	color: #1ecaab;
	padding: 20px 0;
	text-transform: uppercase;
}

ul {
	list-style: none;
	width: fit-content;
	display: flex;
	flex-wrap: wrap;
}

li {
	padding: 20px;
	box-sizing: border-box;
	border: 2px solid darkgray;
	border-radius: 5px;
	margin: 10px;
	transition: .2s ease;
	position: relative;
	width: 290px;
}

li:hover {
	cursor: pointer;
	box-shadow: 0 0 10px grey;
	border-color: #1ecaab;
	transform: translateY(5px);
	transition: transform .2s ease;
}

.number {
	font-size: 14px;
	color: grey;
	position: absolute;
	top: 5px;
	right: 5px;
}

.avatar {
	width: 250px;
	height: 250px;
	background-color: lightgrey;
	border-radius: 5px;
	border: 1px solid lightgrey;
}

.name {
	font-size: 18px;
	font-weight: bold;
	text-transform: uppercase;
	margin-top: 5px;
}

.position {
	font-size: 16px;
	font-weight: 600;
	opacity: .8;
	margin-top: 5px;
}

.age, .id {
	font-size: 16px;
	font-style: italic;
	margin-top: 5px;
	opacity: .6;
}

.delete-button {
	position: absolute;
	bottom: 10px;
	right: 10px;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	background: lightgrey;
	border: none;
	outline: unset;
	cursor: pointer;
}

.delete-button:hover {
	background: #ff0033;
}

.delete-button img {
	pointer-events: none;
}

.search {
	padding: 5px;
	border: 2px solid lightgray;
	border-radius: 4px;
	min-width: 30vw;
	margin: 10px;
}

.search:focus, .search:focus-visible {
	border-color: #1ecaab;
	outline: none;
}

.search__text {
	padding-left: 20px;
	padding-top: 2px;
	color: #1ecaab;
	font-weight: 700;
	font-size: 18px;
}

